//Serena Bailey ITDEV140 Downtown Campus 
package bailey_grocerylist;

import java.io.File;
import java.io.FileNotFoundException;
import java.util.Scanner;
import javax.sound.sampled.LineUnavailableException;

/**
 *
 * @author sailo
 */
public class View {
    
    Scanner keyboard = new Scanner(System.in);
    String groceryItem;
    Intro i = new Intro();
    Controller c = new Controller();
    
    public View()
    {
        //menu for the user to choose what they would like to do.
        System.out.println();
        System.out.println("(1) Instructions");
        System.out.println("(2) Add Items");
        System.out.println("(3) Remove Items");
        System.out.println("(4) Display Items");
        System.out.println("(5) Quit");
        System.out.print("\nChoose an option: ");
    }
    
    void groceryOptions() throws InterruptedException, LineUnavailableException, FileNotFoundException {
        //the actual switch/case for the player to choose options in the groceries option.
        int groceryOption;
        Scanner in = new Scanner(System.in);
        groceryOption = in.nextInt();
        
        switch (groceryOption) {
            case 1:
                i.Directions();
                break;
            case 2:
                c.groceryControl();
                break;
            case 3:
                c.removeGroceries();
                break;
            case 4:
                groceryList();
                break;
            case 5:
                i.goodbye();
                break;
            default:
                break;
        }
    }
    
    public void groceryList() throws FileNotFoundException, InterruptedException, LineUnavailableException
    {
        //get a filename from user
        System.out.print("Please enter the name of your list: ");
        String filename = keyboard.nextLine();
        
        //Open the file
        File file = new File(filename);
        Scanner inputFile = new Scanner(file);
        
        //read lines from the file until no more are left
        System.out.println("\nItems on your grocery list are as follows: ");
        while(inputFile.hasNext())
        {
            //read the next grocery item
            groceryItem = inputFile.nextLine();
            
            //Display the grocery item
            System.out.println(groceryItem);
        }
        //close the file
        inputFile.close();
        System.out.println("\n\tThis completes your list!");
        View v = new View();
        groceryOptions();
    }
    
}
