//Serena Bailey ITDEV140 Downtown Campus 
package bailey_grocerylist;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.PrintWriter;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.Scanner;
import javax.sound.sampled.LineUnavailableException;

/**
 *
 * @author sailo
 */
public class Controller {
    
    Scanner keyboard = new Scanner(System.in);
    String groceryItem;
    String filename;           
    int numItems;              
    String keepGoing;
    String remove;

    public void groceryControl() throws FileNotFoundException, InterruptedException, LineUnavailableException
    {
        //get the number of grocery items from user
        System.out.print("How many groceries do you have? ");
        numItems = keyboard.nextInt();
        
        //consume the remaining new line character
        keyboard.nextLine();
        
        //get the fileName
        System.out.print("Enter your grocery list name: ");
        filename = keyboard.nextLine();
        
        //Open the file
        PrintWriter outputFile = new PrintWriter(filename);
        
        String[] theList = new String[numItems];
        List<String> yourList = Arrays.asList(theList);
        //get data and write it to the file
        for(int i = 1; i <= numItems; i++)
        {
            System.out.println("\nEnter the item on your grocery list " + i + ": ");
            groceryItem = keyboard.nextLine();
            
            outputFile.println(groceryItem);
        }
        for(int j = 0; j < numItems; j++)
        {
            System.out.println("\nPlease Re-Enter the item on your grocery list of: " + numItems + " items.");
            theList[j] = keyboard.next();
            System.out.println("Here is your list: " + Arrays.toString(theList));
        }
        //close the file
        outputFile.close();
        System.out.println("\n\t\t**** Data has been written to the file. ****\n");
        View v = new View();
        v.groceryOptions();
    }
    
    public void removeGroceries() throws InterruptedException, LineUnavailableException, FileNotFoundException
    {
        //allows user to remove the item.
        System.out.println("Please enter the name of the grocery item you would like removed: ");
        remove = keyboard.nextLine();
        System.out.println("\nYou have removed " + remove + " from the list.");
        
        //allows the user to continue to remove items or return to the menu.
        System.out.println("\nWould you like to remove another item? ");
        keepGoing = keyboard.next().toUpperCase();
        if(keepGoing.equals("Y")) 
        {
            System.out.println("\n");
            removeGroceries();
            
        }
        else if(keepGoing.equals("N")) 
        {
            View v = new View();
            v.groceryOptions();
        }
        
    }
    
}
